# Function decodeAbiReferenceByAddress

- decodeAbiReferenceByAddress(dataType, pointer, info, options?): Generator<DecoderRequest, Result, Uint8Array | null>

- #### Parameters

  - ##### dataType: TupleType | ReferenceType

  - ##### pointer: StackFormPointer | AbiDataPointer

  - ##### info: EvmInfo

  - ##### options: DecoderOptions = {}

  #### Returns Generator<DecoderRequest, Result, Uint8Array | null>

  - Defined in codec/lib/abi-data/decode/index.ts:58

Generated using TypeDoc